[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'DB' (#fcl)

# TField.KeyFields

Key fields to use when looking up a field value.

## Declaration

Source position: db.pas line 453

`published property TField.KeyFields : string read FKeyFields write FKeyFields;`

## Description

KeyFields should contain a semi-colon separated list of field names from the lookupfield's dataset which will be matched to the fields enumerated in LookupKeyFields in the dataset pointed to by the LookupDataset property.

## See also

LookupKeyFields |  | Names of fields on which to perform a locate
LookupDataset |  | Dataset with lookup values